View Issue Details

IDProjectCategoryView StatusLast Update
0002290SketcherBugpublic2017-11-20 13:07
ReporterDeepSOICAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityrandom
Status closedResolutionfixed 
PlatformOSWindows, LinuxOS Version
Product Version 
Target Version0.17Fixed in Version0.17 
Summary0002290: Point-on-object constraint icon not selectable
DescriptionWhen two constraint icons are in the same place, but stacked, their selection is behaving strangely.
Steps To Reproduce1. New sketch
2. Draw a slot
3. Select lower right vertex and constrain it to lie on horizontal axis
4. Try selecting the point-on-object constraint in 3d view. It does not obey, nothing is selected.
More: if I click on the tangent constraint icon below it, the point-on-object constraint is selected instead
Additional InformationI'm also having problems selecting equality constraints, when they are multiple

OS: Windows 8.1
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5702 (Git)
Build type: Release
Branch: FreeCAD-DeepSOIC4
Hash: df63cb8957ef4cc6f30f2aeb11c2cc5a16f799f1
Python version: 2.7.8
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.1

also in:

OS: Ubuntu 14.04.3 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5704 (Git)
Build type: Unknown
Branch: master
Hash: 716130c39e0f00f031963a554a092019b32c4c3b
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
Tagsconstraints

Activities

DeepSOIC

2015-10-10 20:03

developer   ~0006491

Link to thread:
"Point-on-object constraint icon not selectable"
http://forum.freecadweb.org/viewtopic.php?f=3&t=12772

wmayer

2017-11-20 13:07

administrator   ~0010438

https://github.com/FreeCAD/FreeCAD/commit/99a2fd16f47f11c1e8d404d3e193e8747c41820d

Issue History

Date Modified Username Field Change
2015-10-10 20:01 DeepSOIC New Issue
2015-10-10 20:03 DeepSOIC Note Added: 0006491
2017-09-27 12:36 Kunda1 Target Version => 0.17
2017-10-19 12:33 Kunda1 Tag Attached: constraints
2017-11-20 13:07 wmayer Assigned To => wmayer
2017-11-20 13:07 wmayer Status new => closed
2017-11-20 13:07 wmayer Resolution open => fixed
2017-11-20 13:07 wmayer Fixed in Version => 0.17
2017-11-20 13:07 wmayer Note Added: 0010438